﻿@using Mandiri.Lelang.WebAdminUI.Utility
@model Mandiri.Lelang.ViewModel.WebContentViewModel

<div class="container">
    <div class="page-header">
        <h1>List Konten Web</h1>
    </div>
    <button type="button" class="btn btn-default" onclick="refreshDataTables('dataTable', '/Master/WebContentList');">Refresh Data</button>
    <span class="label label-warning">Press refresh button for initial loading</span>
    <br />
    <br />
    <div class="input-group short-width-input">
        <input type="text" class="form-control" placeholder="Keywords" id="txtKeywords" name="txtKeywords">
        <span class="input-group-btn">
            <button class="btn btn-primary" type="button" onclick="searchDataTables('dataTable', '/Master/WebContentList');"><i class="fa fa-search"></i></button>
        </span>
    </div>
    <br />
    <table id="dataTable" class="table table-bordered table-striped table-hover" cellspacing="0" width="100%" border="0">
        <thead>
            <tr>
                <th>@Html.DisplayNameFor(m => m.WebContentTypeID)</th>
                <th>@Html.DisplayNameFor(m => m.WebContentTypeName)</th>
                <th></th>
            </tr>
        </thead>
        <tbody></tbody>
        <tfoot>
        </tfoot>
    </table>
</div>

@section scripts
{
    <script type="text/javascript" charset="utf-8">
        $(document).ready(function () {
            loadDataTables("dataTable", "/Master/WebContentList", [
                { "bSortable": true },
                { "bSortable": true }, {
                    "bSortable": false, "mRender": function (data, type, row) {
                        return generateActionLink("Edit", "/Master/UpdateWebContent", "webContentTypeID=" + data);
                    }
                }], "desc"
            );
        });
    </script>
}